List webhook endpoints
import requests
url = "https://app.langwatch.ai/api/webhooks/v1/endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/webhooks/v1/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/webhooks/v1/endpoints \
--header 'Authorization: Bearer <token>'{
"data": [
{
"destination_kind": "http",
"url": "<string>",
"sqs": null,
"id": "<string>",
"enabled_events": [
"<string>"
],
"status": "active",
"disabled_reason": "<string>",
"disabled_at": "<string>",
"failing_since": "<string>",
"last_success_at": "<string>",
"last_failure_at": "<string>",
"max_batch_size": 0,
"max_batch_delay_ms": 0,
"max_in_flight": 0,
"created_at": "<string>",
"updated_at": "<string>"
}
]
}Webhooks
List webhook endpoints
List the organization’s webhook endpoints
GET
/
api
/
webhooks
/
v1
/
endpoints
List webhook endpoints
import requests
url = "https://app.langwatch.ai/api/webhooks/v1/endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.langwatch.ai/api/webhooks/v1/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://app.langwatch.ai/api/webhooks/v1/endpoints \
--header 'Authorization: Bearer <token>'{
"data": [
{
"destination_kind": "http",
"url": "<string>",
"sqs": null,
"id": "<string>",
"enabled_events": [
"<string>"
],
"status": "active",
"disabled_reason": "<string>",
"disabled_at": "<string>",
"failing_since": "<string>",
"last_success_at": "<string>",
"last_failure_at": "<string>",
"max_batch_size": 0,
"max_batch_delay_ms": 0,
"max_in_flight": 0,
"created_at": "<string>",
"updated_at": "<string>"
}
]
}Authorizations
Admin API key for organization-level operations (managing projects, API keys). Create one in Settings > API Keys or via POST /api/api-keys. Format: sk-lw-{id}_{secret}.
Response
200 - application/json
Success
- Option 1
- Option 2
Show child attributes
Show child attributes
Last modified on August 5, 2026
Was this page helpful?